## debian-installer 20060711ubuntu18

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_ARCH DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM
endif

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))


# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/local
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg

export KEYRING

# Useful command sequences
define submake
  $(MAKE) --no-print-directory
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -r 0
endef

define mkinitramfs
  (cd $(TREE) && find . | cpio --quiet -o -H newc) > 
endef

define e2fsck
  e2fsck -fy
endef

define mkcramfs
  mkcramfs -z $(TREE)
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) |grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS
	cd $(BASE_DEST) && md5sum `find . -type f` > MD5SUMS

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			dpkg $(DPKG_UNPACK_OPTIONS) --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
			usedsize=`echo $$newsize - $$oldsize | bc`; \
			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
			usedcount=`echo $$newcount - $$oldcount | bc`; \
			version=`dpkg-deb --info $$udeb | grep '^ *Version:' | sed 's/^ *//' | awk '{print $$2}'` ; \
			echo " $$usedsize B - $$usedblocks blocks - $$usedcount files from $$pkg (version $$version)" >>$(TEMP)/diskusage.txt;\
			oldsize=$$newsize ; \
			oldblocks=$$newblocks ; \
			oldcount=$$newcount ; \
		fi; \
	done
	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
		perl -nle '$$p = $$_; $$v = <>; chomp $$v; $$a = <>; chomp $$a; <>; print "$$p $$v $$a"' | \
		sort > $(TEMP_UDEB_LIST)

	# Clean up after dpkg.
	rm -rf $(DPKGDIR)/updates
	rm -f $(DPKGDIR)/available $(DPKGDIR)/*-old $(DPKGDIR)/lock

ifdef EXTRAFILES
	# Copy in any extra files.
	set -e; \
	for file in $(EXTRAFILES); do \
		mkdir -p $(TREE)/`dirname $$file`; \
		cp -a $$file $(TREE)/$$file; \
	done
endif

ifdef KERNELVERSION
	# Set up modules.dep, ensure there is at least one standard dir (kernel
	# in this case), so depmod will use its prune list for archs with no
	# modules.
	set -e; \
	$(foreach VERSION,$(KERNELVERSION), \
		sysmap_name=; sysmap_opt=; \
		if [ -n "$(VERSIONED_SYSTEM_MAP)" ]; then \
			[ ! -e $(TREE)/boot/System.map-$(VERSION) ] || sysmap_name="$(TREE)/boot/System.map-$(VERSION)"; \
		else \
			[ ! -e $(TREE)/boot/System.map ] || sysmap_name="$(TREE)/boot/System.map"; \
		fi; \
		[ -z "$$sysmap_name" ] || sysmap_opt="-F $$sysmap_name"; \
		if [ -d $(TREE)/lib/modules/$(VERSION) ]; then \
			mkdir -p $(TREE)/lib/modules/$(VERSION)/kernel; \
			$(shell choose-subarch-env $(VERSION)) depmod $$sysmap_opt -q -a -b $(TREE)/ $(VERSION); \
		fi; \
		[ -z "$$sysmap_name" ] || mv $$sysmap_name $(TEMP);)

	# These files depmod makes are used by hotplug, if it's being used;
	# otherwise, we shouldn't need them. Some files aren't even used by
	# hotplug, so never include them.
	if [ -d $(TREE)/etc/udev ] || [ -d $(TREE)/etc/hotplug ]; then \
		find $(TREE)/lib/modules/ -name 'modules*' \
			-not -name modules.dep -not -name modules.alias \
			-not -name 'modules.*map' \
			-not -type d | xargs rm -f; \
	else \
		find $(TREE)/lib/modules/ -name 'modules*' \
			-not -name modules.dep -not -type d | xargs rm -f; \
	fi

	# These files are used to build special kernel images for some
	# subarchitectures. Move them out of the way.
	$(foreach VERSION,$(KERNELVERSION), \
		if [ -d $(TREE)/usr/lib/kernel-image-$(VERSION) ]; then \
			mv $(TREE)/usr/lib/kernel-image-$(VERSION) \
				$(TEMP)/lib; \
		fi; \
		if [ -d $(TREE)/usr/lib/linux-image-$(VERSION) ]; then \
			mv $(TREE)/usr/lib/linux-image-$(VERSION) \
				$(TEMP)/lib; \
		fi;)
endif

ifdef KERNELNAME
	# Move the kernel image out of the way.
	$(foreach name,$(KERNELNAME), \
		mv -f $(TREE)/boot/$(name) $(TEMP)/$(name);)
	rmdir $(TREE)/boot/
endif

ifdef PRESEED
	# Copy in preseed file.
	cp -a $(PRESEED) $(TREE)/preseed.cfg
endif
ifdef PRESEED_SUITE
	# Add suite preseed file.
	if [ -e "$(TREE)/preseed.cfg" ]; then \
		cat $(PRESEED_SUITE) >> $(TREE)/preseed.cfg; \
	else \
		cp -a $(PRESEED_SUITE) $(TREE)/preseed.cfg; \
	fi
endif

ifneq (,$(wildcard $(KEYRING)))
	mkdir -p $(TREE)/usr/share/keyrings

=== debian/changelog ===
debian-installer (20060711ubuntu18) edgy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 21 Oct 2006 00:06:19 +0100

debian-installer (20060711ubuntu17) edgy; urgency=low

  * No-change rebuild to pick up new cdebconf-keystep and localechooser.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Oct 2006 14:42:06 +0100

debian-installer (20060711ubuntu16) edgy; urgency=low

  * No-change rebuild to pick up the new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Oct 2006 09:22:35 +0100

debian-installer (20060711ubuntu15) edgy; urgency=low

  * Replace cdebconf-newt-entropy with cdebconf-newt-detect-keys in
    EXTRAUDEBS; cdebconf-newt-entropy is in universe for edgy.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Oct 2006 13:54:36 +0100

debian-installer (20060711ubuntu14) edgy; urgency=low

  * Add/update help text translations from Rosetta, modified to account for
    some strings that are currently translatable but shouldn't be: Bengali,
    German, Spanish, Basque, Finnish, French, Galician, Hungarian,
    Indonesian, Italian, Georgian, Korean, Kurdish, Kirghiz, Marathi, Malay,
    Dutch, Occitan, Polish, Portuguese, Portuguese (Brazil), Russian,
    Slovak, Swedish, Turkish, Vietnamese, Chinese (China).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Oct 2006 10:28:51 +0100

debian-installer (20060711ubuntu13) edgy; urgency=low

  * Move to 2.6.17-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Sep 2006 21:59:11 +0100

debian-installer (20060711ubuntu12) edgy; urgency=low

  * build/boot/x86/help.xml: When building gfxboot help for live CDs,
    replace F4 with a stub page discussing (from 40,000 feet) how to rescue
    a broken system (closes: Malone #47570).
  * Move to 2.6.17-9 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Sep 2006 10:55:52 +0100

debian-installer (20060711ubuntu11) edgy; urgency=low

  * Move to 2.6.17-8 kernels.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Sep 2006 01:16:51 +1000

debian-installer (20060711ubuntu10) edgy; urgency=low

  * build/config/i386/netboot.cfg: Bump FLOPPY_SIZE to 16384.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Sep 2006 12:49:26 +0100

debian-installer (20060711ubuntu9) edgy; urgency=low

  * Switch from kbd-chooser to console-setup. Adjust build/Makefile to
    include /usr/share/console-setup-mini/*.tree in all.utf.
  * Move to 2.6.17-7 kernels. Adapt to new image names (amd64-generic ->
    generic, itanium-smp -> itanium).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  7 Sep 2006 19:05:04 +0100

debian-installer (20060711ubuntu8) edgy; urgency=low

  * No-change rebuild to pick up new components (no-more-devfs).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  1 Sep 2006 16:31:41 +0100

debian-installer (20060711ubuntu7) edgy; urgency=low

  * Remove -d from mkvmlinuz arguments so that we can build a vmlinuz again
    (closes: Malone #58041).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Aug 2006 21:13:53 +0100

debian-installer (20060711ubuntu6) edgy; urgency=low

  * Move to 2.6.17-6 kernels.
  * Restore use of nic-firmware-* again.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 16 Aug 2006 19:34:29 +1000

debian-installer (20060711ubuntu5) edgy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Jul 2006 14:56:39 +0100

debian-installer (20060711ubuntu4) edgy; urgency=low

  * Drop nic-firmware-* temporarily, since it seems to have disappeared (see
    Malone #53141).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 16 Jul 2006 14:46:24 +0100

debian-installer (20060711ubuntu3) edgy; urgency=low

  * Move to 2.6.17-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Jul 2006 16:12:55 +0100

debian-installer (20060711ubuntu2) edgy; urgency=low

  * Bump size of amd64 netboot boot.img to 16000.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Jul 2006 10:32:23 +0100

debian-installer (20060711ubuntu1) edgy; urgency=low

  * Resynchronise with Debian, based on Subversion trunk as of 20060711
    (20060304, the last release, predates a lot of udeb dependency fixes).
  * Set default suite to edgy.
  * Move to 2.6.17-4 kernels.
  * Disable the graphical installer build targets for now; we'll wait for
    this to mature a bit more in Debian.
  * Fix build/boot/x86/po4a.cfg so that po4a can update all the .po files.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Jul 2006 11:11:17 +0100

debian-installer (20060711) UNRELEASED; urgency=low

  [ Martin Michlmayr ]
  * Make sure the Netwinder image doesn't exceed NeTTrom's size limit.
    Closes: #345319.
  * Include essential kernel modules on the Netwinder cdrom initrd.
  * Fix a typo in the Cobalt preseed file.
  * Rename sb1-swarm-bn to sb1-bcm91250a for consistency.
  * Add 2.6 images on mips and mipel.
  * Add support for the Broadcom BCM91480B evaluation board (aka "BigSur").
  * Add support for the SGI O2 (IP32) machines (with R5000 CPU).
  * Put beep-udeb on the NSLU2 initrd so we can notify people when SSH is
    ready.
  * Switch to 2.6.16 kernel on arm.
  * Put the input-modules udeb on the NSLU2 image so the beeper will work.
  * Remove (incomplete) LART and BAST support.
  * Remove 2.4 images on arm.

  [ Joey Hess ]
  * Split off PRESEED_SUITE from PRESEED, use this for the suite setting
    for development builds, and no longer unset PRESEED for release builds.
    Should fix cobalt issues.
  * Audited the x86 kernel parameter docs in the boot screens vs the 2.6.15
    kernel. Removed documentation for parameters that are not listed in the
    kernel's kernel-parameters.txt, and to a certian extent read the source
    to find places where kernel-parameters.txt is wrong, and removed those
    too. It's probably better to not document things than to document them
    incorrectly.
  * Modified kernel parameter docs to use the module.param=value syntax


=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Alastair McKinstry <mckinstry@computer.org>, Joshua Kwan <joshk@triplehelix.org>, Frans Pop <fjp@debian.org>
Standards-Version: 3.6.2
Build-Conflicts: libnewt-pic [mipsel]
# NOTE: Do not edit the next line by hand. See comment below.
Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, dpkg (>= 1.13.9), grep-dctrl, bc, debiandoc-sgml, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, belocs-locales-bin, glibc-pic, libslang2-pic, libnewt-pic [!mipsel], libnewt-dev [mipsel], cramfsprogs [powerpc ia64 mips mipsel arm armeb], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.15), mkisofs, genromfs [sparc], hfsutils [powerpc], dosfstools [i386 ia64 m68k amd64], cpio, devio [arm armeb], slugimage [arm armeb], syslinux (>= 2.11-0.1) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], delo [mipsel], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 powerpc amd64 alpha hppa ia64 sparc mips mipsel arm armeb], bf-utf-source [!s390 !s390x], upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386], mkvmlinuz [powerpc]
# This package has the worst Build-Depends in Debian, so it deserves some
# explanation. Note that this comment can also be used to generate a
# Build-Depends line, by running the debian/genbuilddeps program.
# So put each build dep on its own line, prefixed by " - " and to
# comment out a build dep, start the line with two hashes. And don't edit
# the Build-Depends line above by hand.
#
# Base build dependencies:
#	- debhelper (>= 4)
#		Of course.
# 	- apt
# 		Used for downloading udebs.
# 	- apt-utils
# 		apt-ftparchive is used for including localudebs.
#	- gnupg
#		New versions of apt need gnupg for security checks.
#	- dpkg (>= 1.13.9)
#		We tweak dpkg logging options only understood by this
#		version.
#	- grep-dctrl
#		Various manipulations of the udeb Packages files.
#	- bc
#		Used for some image size calculations.
#	- debiandoc-sgml
#		partman's manual is in debiandoc.
#	- libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
#		For bdftobogl used in font reduction.
#	- lsb-release
#		Provides system version information.
#	- belocs-locales-bin
#		Used to make sure that installation-locale is using a locale
#		data format that everything else can understand.
#	
# Library build dependencies:
#	- glibc-pic
#		For library reduction.
#	- libslang2-pic
#	- libnewt-pic [!mipsel]
#		Rather than use slang and newt udebs, reduced versions of
#		the libraries are put onto images to save space.
#	- libnewt-dev [mipsel]
#		On mipsel, we can't use libnewt-pic right now due to bug
#		#329733. See also Build-Conflicts above.
#
# Filesystem tools:
#	- cramfsprogs [powerpc ia64 mips mipsel arm armeb]
#		For arches that use cramfs initrds.
#	- genext2fs (>= 1.3-7.1)
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
#	- e2fsprogs
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
#	- mklibs (>= 0.1.15)
#		We use mklibs for library reduction.
#	- mkisofs
#		For making mini isos.
#	- genromfs [sparc]
#		Used for creating sparc floppies (which are not built by
#		default.)
#	- hfsutils [powerpc]
#		For making bootable HFS USB sticks for powerpc.
#	- dosfstools [i386 ia64 m68k amd64]
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		ia64 uses it for floppies (?)
#		m68k uses it for atari floppies
#	- cpio
#		For creating initramfs images.
#	- devio [arm armeb]
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
#	- slugimage [arm armeb]
#		For building nslu2 firmware images.
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
#	- syslinux (>= 2.11-0.1) [i386 amd64]
#		There were some crippling bugs in version 2.10.
#	- palo [hppa]
#	- elilo [ia64]
#	- yaboot [powerpc]
#		For all our powerpc boot needs. Well, not really.
#	- aboot (>= 0.9b-2) [alpha]
#		A previous version didn't have netabootwrap.
#	- silo [sparc]
#		Using silo is problimatic since it needs to run as root,
#		so images that need it are not built by default, but we
#		include it for completeness.
#	- sparc-utils [sparc]
#		For elftoaout and piggyback, to make netboot images.
#	- genisovh [mips]
#		Makes mini iso images bootable on SGI MIPSen.
#	- delo [mipsel]
#		For booting DECstations from storage media.
#	- tip22 [mips]
#		Piggyback netboot images.
#	- colo (>= 1.21-1) [mipsel]
#		For booting Cobalt machines. This version has TFTP support.
#	- sibyl [mips mipsel]
# 		For booting the SWARM board.
#	- atari-bootstrap [m68k]
#		Booting and other tools for Atari systems.
#	- vmelilo [m68k]
#	- m68k-vme-tftplilo [m68k]
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
#	- amiboot [m68k]
#		Bootloader for m68k/amiga machines.
#
# Architecture specific build dependencies:
#	- tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
#		For todos, used on files that need to be accessible from
#		DOS.
#	- mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64]
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them.
#	- po4a [i386 amd64]
#	- python [i386 amd64]
#		For building gfxboot help texts.
#
#	- module-init-tools [i386 powerpc amd64 alpha hppa ia64 sparc mips mipsel arm armeb]
#		depmod for 2.6 kernels on the arches that support 2.6.
#
#	- bf-utf-source [!s390 !s390x]
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
#	- upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386]
#		i386 uses upx to compress kernels and other binaries
#		The version is the first one that worked well enough for
#		us.
#	- mkvmlinuz [powerpc]
#		Used to make powerpc images that can boot direct from
#		firmware w/o using a boot loader.

Package: debian-installer
Architecture: any
Description: Debian installer
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

=== debian/rules ===
#!/usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
ifeq (${SUITE},unstable)
SUITE=etch
endif
ifeq (${SUITE},UNRELEASED)
SUITE=edgy
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(VERSION)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		SUITE=$(SUITE) BUILD_DATE=$(DATE) PRESEED_SUITE=
	
build: build-stamp
build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(VERSION) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X partman-doc.sgml
	dh_compress
	dh_fixperms
	dh_gencontrol
	dh_builddeb
	cd debian/tmp && tar czvf ../../../$(TARNAME) .
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20061102ubuntu26

=== debian/changelog ===
debian-installer (20061102ubuntu26) feisty; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 15 Apr 2007 06:08:53 +0100

debian-installer (20061102ubuntu25) feisty; urgency=low

  * Move to 2.6.20-15 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Apr 2007 14:05:13 +0100

debian-installer (20061102ubuntu24) feisty; urgency=low

  * Add input-modules to sparc cdrom images (LP: #99790).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Apr 2007 20:15:54 +0100

debian-installer (20061102ubuntu23) feisty; urgency=low

  * Remove grepmap-udeb from all images, as it's no longer in the archive.
  * Include block-modules on powerpc cdrom images, as ps3_storage is there
    and needed to find the CD drive on PS3 systems.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Apr 2007 03:52:10 +0100

debian-installer (20061102ubuntu22) feisty; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Apr 2007 23:28:23 +0100

debian-installer (20061102ubuntu21) feisty; urgency=low

  * Update help text translations from Rosetta.
  * Move to 2.6.20-14 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  5 Apr 2007 13:18:35 +0100

debian-installer (20061102ubuntu20) feisty; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Mar 2007 11:47:07 +0100

debian-installer (20061102ubuntu19) feisty; urgency=low

  * Add scsi-firmware to cdrom and hd-media images.
  * Update Canonical copyright dates.
  * Move to 2.6.20-13 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Mar 2007 22:19:20 +0100

debian-installer (20061102ubuntu18) feisty; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Mar 2007 22:55:15 +0000

debian-installer (20061102ubuntu17) feisty; urgency=low

  * Move to 2.6.20-12 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 18 Mar 2007 11:30:03 +0000

debian-installer (20061102ubuntu16) feisty; urgency=low

  * Move to 2.6.20-11 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 17 Mar 2007 18:45:24 +0000

debian-installer (20061102ubuntu15) feisty; urgency=low

  * Move to 2.6.20-9 kernels.
  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Feb 2007 19:33:12 +0000

debian-installer (20061102ubuntu14) feisty; urgency=low

  * Move to 2.6.20-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Feb 2007 11:54:52 +0000

debian-installer (20061102ubuntu13) feisty; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Jan 2007 22:51:55 +0000

debian-installer (20061102ubuntu12) feisty; urgency=low

  * doc/devel/menu-item-numbers.txt: kbd-chooser -> console-setup.
  * build/boot/x86/help.xml: Mark several items on the F8 help page as being
    for syslinux only.
  * Move to 2.6.20-6 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Jan 2007 09:00:43 +0000

debian-installer (20061102ubuntu11) feisty; urgency=low

  * No-change rebuild to pick up new archdetect for Intel Mac support.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jan 2007 08:27:23 +0000

debian-installer (20061102ubuntu10) feisty; urgency=low

  * Move fs-core-modules hack so everybody gets them in the cdrom initrd.
    Workaround for kernel bug, to be removed post-feisty.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue,  9 Jan 2007 16:25:47 +0100

debian-installer (20061102ubuntu9) feisty; urgency=low

  * Add fs-core-modules to sparc/cdrom images.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 09 Jan 2007 10:05:00 +0100

debian-installer (20061102ubuntu8) feisty; urgency=low
  
  * Move to 2.6.20-5 kernels.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 08 Jan 2007 06:11:43 +0100

debian-installer (20061102ubuntu7) feisty; urgency=low

  * Move to 2.6.20-2 kernels.
  * Add block-modules and message-modules to hd-media images.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Dec 2006 17:02:03 +0000

debian-installer (20061102ubuntu6) feisty; urgency=low

  * Switch i386 builds to the -generic kernel flavour.
  * Add a new netboot/386 build for i386 that uses the -386 kernel flavour.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Dec 2006 12:32:26 +0000

debian-installer (20061102ubuntu5) feisty; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  4 Dec 2006 13:46:19 +0000

debian-installer (20061102ubuntu4) feisty; urgency=low

  * Make build/util/help-to-gfxboot.py executable again.
  * Include pata-modules in all images including ide-modules.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat,  2 Dec 2006 06:46:48 +0000

debian-installer (20061102ubuntu3) feisty; urgency=low

  * build/config/sparc.cfg: Fix KERNELVERSION/KERNELNAME merge breakage.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Nov 2006 21:09:07 +0000

debian-installer (20061102ubuntu2) feisty; urgency=low

  * Make nfs-modules optional, as fs-secondary-modules is a bit much for the
    netboot images (filed #73910).
  * Make cdrom-modules optional, as it has gone AWOL (filed #73911).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Nov 2006 13:52:46 +0000

debian-installer (20061102ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubuntu branding of various kinds.
    - Use Ubuntu kernels. Various tweaks for different udeb splits.
    - Fetch distribution name and version number from lsb_release.
    - Use the full version number in image directories.
    - Build-depend on belocs-locales-bin.
    - Various boot screen text adjustments.
    - Add server boot options.
    - Add memtest boot option.
    - Add live CD boot screens.
    - Adjust memory size recommendations.
    - Document pci=noacpi.
    - Add translatable boot screen text for gfxboot.


=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Alastair McKinstry <mckinstry@computer.org>, Joshua Kwan <joshk@triplehelix.org>, Frans Pop <fjp@debian.org>
 Standards-Version: 3.6.2
+XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
 Build-Conflicts: libnewt-pic [mipsel]
 # NOTE: Do not edit the next line by hand. See comment below.
-Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, dpkg (>= 1.13.9), grep-dctrl, bc, debiandoc-sgml, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, belocs-locales-bin, glibc-pic, libslang2-pic, libnewt-pic [!mipsel], libnewt-dev [mipsel], cramfsprogs [powerpc ia64 mips mipsel arm armeb], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.15), mkisofs, genromfs [sparc], hfsutils [powerpc], dosfstools [i386 ia64 m68k amd64], cpio, devio [arm armeb], slugimage [arm armeb], syslinux (>= 2.11-0.1) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], delo [mipsel], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 powerpc amd64 alpha hppa ia64 sparc mips mipsel arm armeb], bf-utf-source [!s390 !s390x], upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386], mkvmlinuz [powerpc]
+Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, dpkg (>= 1.13.9), grep-dctrl, bc, debiandoc-sgml, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, belocs-locales-bin, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic [!mipsel], libnewt-dev [mipsel], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.15), mkisofs, genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64], cpio, devio [arm armeb], slugimage (>= 0.10+r58-6) [arm armeb], nwutil [arm], syslinux (>= 2.11-0.1) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], delo [mipsel], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], apex-nslu2 [arm armeb], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 arm armeb amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386], mkvmlinuz [powerpc ppc64], openssl [arm]
 # This package has the worst Build-Depends in Debian, so it deserves some
 # explanation. Note that this comment can also be used to generate a
 # Build-Depends line, by running the debian/genbuilddeps program.
@@ -43,7 +45,8 @@
 # Library build dependencies:
 #	- glibc-pic
 #		For library reduction.
-#	- libslang2-pic
+#	- libslang2-pic (>= 2.0.6-4)
+#		Make dependency versioned temporarily to make sure we avoid #392942
 #	- libnewt-pic [!mipsel]
 #		Rather than use slang and newt udebs, reduced versions of
 #		the libraries are put onto images to save space.
@@ -52,7 +55,7 @@
 #		#329733. See also Build-Conflicts above.
 #
 # Filesystem tools:
-#	- cramfsprogs [powerpc ia64 mips mipsel arm armeb]
+#	- cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb]
 #		For arches that use cramfs initrds.
 #	- genext2fs (>= 1.3-7.1)
 #		For creating ext2 filesystems without being root.
@@ -69,7 +72,7 @@
 #	- genromfs [sparc]
 #		Used for creating sparc floppies (which are not built by
 #		default.)
-#	- hfsutils [powerpc]
+#	- hfsutils [powerpc ppc64]
 #		For making bootable HFS USB sticks for powerpc.
 #	- dosfstools [i386 ia64 m68k amd64]
 #		For creating FAT filesystems with mkfs.msdos.
@@ -81,8 +84,10 @@
 #	- devio [arm armeb]
 #		Tool to read and write from block devices, used to byteswap
 #		kernels and add nslu2 boot magic.
-#	- slugimage [arm armeb]
+#	- slugimage (>= 0.10+r58-6) [arm armeb]
 #		For building nslu2 firmware images.
+#	- nwutil [arm]
+#		For building netwinder netinst images.
 #
 # Boot loaders:
 #	On many arches boot loaders are copied onto or ran on the boot
@@ -92,7 +97,7 @@
 #		There were some crippling bugs in version 2.10.
 #	- palo [hppa]
 #	- elilo [ia64]
-#	- yaboot [powerpc]
+#	- yaboot [powerpc ppc64]
 #		For all our powerpc boot needs. Well, not really.
 #	- aboot (>= 0.9b-2) [alpha]
 #		A previous version didn't have netabootwrap.
@@ -121,7 +126,8 @@
 #		to a warning when it fails.
 #	- amiboot [m68k]
 #		Bootloader for m68k/amiga machines.
-#
+#	- apex-nslu2 [arm armeb]
+#		2nd stage bootloader for Linksys NSLU2.
 # Architecture specific build dependencies:
 #	- tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
 #		For todos, used on files that need to be accessible from
@@ -133,7 +139,7 @@
 #	- python [i386 amd64]
 #		For building gfxboot help texts.
 #
-#	- module-init-tools [i386 powerpc amd64 alpha hppa ia64 sparc mips mipsel arm armeb]
+#	- module-init-tools [i386 arm armeb amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc]
 #		depmod for 2.6 kernels on the arches that support 2.6.
 #
 #	- bf-utf-source [!s390 !s390x]
@@ -143,9 +149,12 @@
 #		i386 uses upx to compress kernels and other binaries
 #		The version is the first one that worked well enough for
 #		us.
-#	- mkvmlinuz [powerpc]
+#	- mkvmlinuz [powerpc ppc64]
 #		Used to make powerpc images that can boot direct from
 #		firmware w/o using a boot loader.
+#	- openssl [arm]
+#		Used to decrypt a firmware image so a device will accept
+#		it.
 
 Package: debian-installer
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 SUITE=etch
 endif
 ifeq (${SUITE},UNRELEASED)
-SUITE=edgy
+SUITE=feisty
 endif
 
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)

## debian-installer 20070308

=== debian/changelog ===
debian-installer (20070308) unstable; urgency=low

  [ Thiemo Seufer ]
  * Add Qemu mips/mipsel images, thanks Aurelien Jarno.

  [ Sylvain Ferriol ]
  * Add keyboard usb packages in i386 root floppy and move all net packages
    to i386 net-drivers-1 floppy.

  [ Frans Pop ]
  * Switch font used for Dzongkha in g-i to ttf-tmuni.

  [ Martin Michlmayr ]
  * Provide a properly encrypted firmware image for Thecus N2100 so the
    firmware upgrade process will recognize it.  Thanks to Kurt Roeckx
    for help with OpenSSL.
  * Remove incomplete armeb support.
  * Remove obsolete arm/nslu2 config files.
  * Switch arm, mips and mipsel to 2.6.18-2.
  * Switch arm, mips and mipsel to 2.6.18-3.
  * n2100: Add support for Evesham's M-Box.
  * Put in a workaround to support building with both apex 1.4.7 and the
    new 1.4.14 which changes the name of the apex binary; closes: #409747

  [ Joey Hess ]
  * Stop using the system status file; generate a dummy status file for apt
    containing libc6 and libnewt (the only two debs udebs still depend on).
  * dhcp3-client-udeb is for some reason Standard priority, so gets included
    in monolithic image builds (and breaks the build). Exclude it from the
    monolithic images until its priority is fixed.
  * The i386 boot floppy will be too big with the 2.6.18 kernel, so drop
    usb input modules from it. USB keyboard support didn't work before
    anyway AFAICS, since usb-discover was not included.
  * With 2.6.18, nic-extra-modules gets too big to fit on the i386
    net-drivers-1 floppy with nic-modules. Move nic-extra-modules to
    net-drivers-2 and reorg to fit.
  * Don't exclude usb drivers from driver floppies; the root floppy does not
    currently load them.

  [ Sven Luther ]
  * Switch powerpc to 2.6.18-2.
  * Add a prep flavour.
  * Add fancontrol modules to cdrom and netboot images for powerpc64.

  [ Thiemo Seufer ]
  * Fix tftpboot.sh for mips/r5k-ip32.

  [ dann frazier ]
  * Switch ia64 to initramfs.
  * Make the default boot option on ia64 "Install" for consistency with x86.
  * Add rescue boot option on ia64.

  [ Frans Pop ]
  * Switch i386 to 2.6.18-3.
  * Apply patch from Alex Owen to fix serial console support for grub in the
    installed system (#224641).

  [ Joey Hess ]
  * Add time to image build date, and set build date to UTC (was local
    time before).
  * Etch will be Debian 4.0.

  [ Stephen R. Marenka ]
  * Add preliminary network-console support to m68k.
  * Switch m68k to 2.6.18-3.
  * Add back the atari subarch and the floppy initrd.
  * Add emile to build-deps.

  [ Steve Langasek ]
  * Switch alpha to 2.6.18-3.  Now with support for TITAN systems, huzzah!

  [ Colin Watson ]
  * Switch powerpc to 2.6.18-3.
  * Document new GET_MAX_PRIMARY command in partman-base 99.

  [ Dann Frazier ]
  * Switch ia64 to 2.6.18-3.

  [ Frans Pop ]
  * Switch amd64, hppa, sparc and s/390 to 2.6.18-3.
  * On amd64 we temporarily need to include /lib/libgcc_s.so.1 in g-i initrds
    to work around #373253 until upstream can remove pthread_cancel() calls in
    directfb. Because of the Etch release this is implemented for now by
    setting EXTRAFILES in the relevant files under config/amd64.
  * daily-build: keep file attributes between build targets if fakeroot is
    used. Closes: #401603.
  * Raise minimal memory requirement in boot help screens on x86 to 32MB.
    Closes: #402276.
  * Makefile: don't strip "Choices-C" fields from templates if DROP_LANG is set
    (see #400263).

  [ Joey Hess ]
  * Copy the keyring from debian-archive-keyring into images (was using the
    old keyring from apt). Build-depend on a current version of
    debian-archive-keyring for good measure.
  * Fix stripping of kernel modules by Makefile, was broken due to bogus find
    command.
  * /etc/apt/trusted.gpg can't be guaranteed to be readable, and the udeb
    download will fail to verify if it's not. Avoid this by making apt use
    KEYRING.

  [ dann frazier ]
  * Add scsi-common-modules to pkg-lists/cdrom/ia64.cfg. sym53c8xx.ko is in
    this package, which is needed for scsi cd-roms in machines like the
    HP rx7620 (closes: #403895)
  * Add relocatable flag to elilo.conf for ia64 - this is required when booting
    on Altix systems, though it cannot be used with 2.4 kernels

  [ Joey Hess ]
  * Remove udev-udeb from the ADS cf image.
  * Rename gtk-miniiso targets to netboot-gtk, and place the resulting files
    under the netboot/gtk/ directory. Add full set of netboot files for the
    gtk image, not just the mini.iso. The gtk-miniiso directories are kept
    working via symlinks for now, so that we won't have to update the docs so
    late in the release process. Closes: #408535

  [ Frans Pop ]
  * Update general copyright notices for Debian and Debian Installer to 2007.
  * Switch all architectures to 2.6.18-4.

  [ Martin Michlmayr ]
  * Update mips/mipsel boot configs to refer to 2.6.18-4.

  [ Joey Hess ]
  * Add support for armel. Symlink most arm configs to avoid duplication.
  * Add libgcc1 to the udeb exclude list, and add a dummy item for it to the
    status file. This supports armel, which already uses glibc 2.5, and will
    be needed later when other arches switch to it.

  [ Gordon Farquharson ]
  * Enable users to select a timezone on arm/ixp4xx, arm/iop32, and
    mipsel/cobalt. Closes: #403195.
  * Include the IXP4xx Ethernet driver on the initrd now that oldsys-preseed
    will choose the correct device depending on whether the NPE microcode
    is available.

  [ Steve Langasek ]
  * Add fb-modules to the initrds on alpha, now that matroxfb has been
    moved to a separate udeb; fixes support for installs on TGA-using
    systems.  Closes: #404485.

  [ dann frazier ]
  * [ia64] Fix elilo boot screen formatting - the addition of the time
    to the $BUILD_DATE variable was causing an ugly line wrap

  [ Joey Hess ]
  * Document use of generic.all_generic_ide=1 in f6.txt.

  [ Frans Pop ]


=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,16 @@
 ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
-SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
+SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
 ifeq (${SUITE},unstable)
 SUITE=etch
 endif
 ifeq (${SUITE},UNRELEASED)
-SUITE=feisty
+SUITE=unstable
 endif
 
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)
-DESTDIR=$(ARCHIVEDIR)/$(VERSION)
+DESTDIR=$(ARCHIVEDIR)/$(DATE)
 IMAGEDIR=$(DESTDIR)/images
 TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz
 
@@ -44,7 +44,7 @@
 
 	install -d $(IMAGEDIR)
 	cp -a build/dest/* $(IMAGEDIR)
-	ln -s $(VERSION) $(ARCHIVEDIR)/current
+	ln -s $(DATE) $(ARCHIVEDIR)/current
 
 binary-arch: install  
 	dh_testdir
